Upload file chunk

Upload a chunk of file data to an existing session.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Upload session file ID returned from POST /upload

Body Params

Binary chunk data

Headers
int64
required

Byte offset where this chunk starts, must match previous chunk's Upload-Offset header

string
required
Defaults to application/offset+octet-stream

Must be 'application/offset+octet-stream'

string
required
Defaults to 1.0.0

tus protocol version

Responses
204

Chunk uploaded successfully. Check Upload-Offset header for next offset.

400

Bad request or invalid offset

401

Unauthorized

403

Forbidden

404

Upload session not found or expired

409

Upload-Offset conflict - does not match current offset

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!